ServerEvents.recipes(event => {
  

  let smithingTemplateRecipe = (template, material, block) => {
    event.remove({output: template})
    event.shaped('2x '+template, [
      'MTM',
      'MBM',
      'MMM'
    ],{
      T: template,
      B: block,
      M: material
    })
  }
  
  // Upgrade Templates
  smithingTemplateRecipe('wan_ancient_beasts:ancient_upgrade_smithing_template', '#forge:gems/diamond', 'sullysmod:petrified_planks')
  smithingTemplateRecipe('netherexp:pump_charge_upgrade_smithing_template', '#forge:dusts/redstone', 'minecraft:bone_block')
  smithingTemplateRecipe('oreganized:electrum_upgrade_smithing_template', '#forge:ingots/bronze', 'minecraft:cobblestone')
  smithingTemplateRecipe('kubejs:necromium_upgrade_smithing_template', '#forge:ingots/bronze', 'netherexp:soul_slate')
  smithingTemplateRecipe('sullysmod:jade_upgrade_smithing_template', '#forge:gems/diamond', 'spelunkery:nephrite')

  // Armour Trims
  smithingTemplateRecipe('minecraft:coast_armor_trim_smithing_template', '#forge:gems/diamond', 'upgrade_aquatic:embedded_ammonite')
  // smithingTemplateRecipe('minecraft:silence_armor_trim_smithing_template', '#forge:gems/diamond', '// Add something Sculky but also Deepslatey')
  smithingTemplateRecipe('wan_ancient_beasts:sniff_armor_trim_smithing_template', '#forge:gems/diamond', 'quark:limestone')
  smithingTemplateRecipe('wan_ancient_beasts:spike_armor_trim_smithing_template', '#forge:gems/diamond', 'quark:limestone')
  smithingTemplateRecipe('ancient_aether:mosaic_armor_trim_smithing_template', '#forge:gems/diamond', 'aether:carved_stone')
  smithingTemplateRecipe('ancient_aether:royal_armor_trim_smithing_template', '#forge:gems/diamond', 'aether:angelic_stone')
  smithingTemplateRecipe('ancient_aether:solar_armor_trim_smithing_template', '#forge:gems/diamond', 'aether:hellfire_stone')
  smithingTemplateRecipe('ancient_aether:ancient_armor_trim_smithing_template', '#forge:gems/diamond', 'ancient_aether:aerogetic_stone')


})